Name: shared-mime-info
Version: 0.19
Release: alt1

Summary: Shared MIME-Info Specification
Group: Graphical desktop/Other
License: GPL
Url: http://www.freedesktop.org/software/%name

Source: http://www.freedesktop.org/standards/%name/%name-%version.tar.bz2
Source1: %name.macros
Patch: %name-0.19-alt-cachedir-param.patch

# Automatically added by buildreq on Sun Sep 10 2006
BuildRequires: glib2-devel libxml2-devel perl-XML-Parser

%description
This is the freedesktop.org shared MIME info database.

Many programs and desktops use the MIME system to represent the types of
files. Frequently, it is necessary to work out the correct MIME type for
a file. This is generally done by examining the file's name or contents,
and looking up the correct MIME type in a database.

For interoperability, it is useful for different programs to use the
same database so that different programs agree on the type of a file,
and new rules for determining the type apply to all programs.

This specification attempts to unify the type-guessing systems currently
in use by GNOME, KDE and ROX. Only the name-to-type and contents-to-type
mappings are covered by this spec; other MIME type information, such as
the default handler for a particular type, or the icon to use to display
it in a file manager, are not covered since these are a matter of style.

In addition, freedesktop.org provides a shared database in this format
to avoid inconsistencies between desktops. This database has been
created by converting the existing KDE and GNOME databases to the new
format and merging them together.

%define mimedir %_datadir/mime

%prep
%setup -q
%patch

# better use our russian translation
#bzcat %SOURCE1 >po/ru.po

%build
#autoreconf -ifsv
%configure --disable-update-mimedb
%make_build

%install
%makeinstall

%__cat <<__SH__ >%name.sh
export XDG_DATA_DIRS="%_datadir:%_cachedir"
__SH__

%__cat <<__CSH__ >%name.csh
setenv XDG_DATA_DIRS "%_datadir:%_cachedir"
__CSH__

%__install -pD -m755 %name.sh %buildroot%_sysconfdir/profile.d/%name.sh
%__install -pD -m755 %name.csh %buildroot%_sysconfdir/profile.d/%name.csh

%__install -pD -m644 %SOURCE1 %buildroot%_sysconfdir/rpm/macros.d/%name

%find_lang %name

%post
export XDG_DATA_DIRS="%_datadir"
%_bindir/update-mime-database %mimedir > /dev/null ||:

%triggerpostun -- %name < 0.13-alt2
%__rm -rf %mimedir/{application,audio,globs,image,inode,magic,message,model,\
multipart,text,video,XMLnamespaces}

%files -f %name.lang
%_bindir/update-mime-database
%dir %mimedir/packages
%mimedir/packages/freedesktop.org.xml
%_man1dir/*
%_libdir/pkgconfig/*
%_sysconfdir/rpm/macros.d/*
%config(noreplace) %_sysconfdir/profile.d/*
%doc README shared-mime-info-spec.xml

%changelog
* Sun Sep 10 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.19-alt1
- Updated to 0.19
- Abolished the cache directory and the extra parameter patch to
  update-mime-database as not following the spec
- Patch0: allow the extra directory parameter, but ignore it

* Sat Apr 09 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.16-alt1
- 0.16
- updated russian translation.

* Mon Mar 21 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.15-alt3.7
- ready russian translation (latest fixes by avp@).

* Wed Mar 16 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.15-alt3.6
- russian translation updated by vyt@ and avp@.

* Wed Mar 09 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.15-alt3.5
- russian translation.

* Tue Dec 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.15-alt3
- fixed %%{update,clean}_mimedb.

* Mon Nov 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.15-alt2
- %%{update,clean}_mimedb macros.

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.15-alt1
- 0.15

* Fri Mar 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.14-alt1
- 0.14

* Thu Mar 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.13-alt2
- put database cache in /var/cache/mime.

* Thu Feb 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.13-alt1
- 0.13
- --disable-update-mime-database added to configure.

* Mon Dec 09 2002 AVL <avl@altlinux.ru> 0.9-alt
- initial rpm for sisyphus

* Thu Jul 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- license changed to GPL
- removed noarch
- 0.8

* Mon Jun  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- set license from free to Public Domain
- adapt for Mandrake

* Fri May 31 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.3.1-1
- First spec file for rox.
